
Foreman - Bug #17788

Missing notifications for (un)successful bookmark creation

12/19/2016 05:06 PM - Walden Raines

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1326633 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1326633

Description of problem:

When creating a bookmark, after hitting the 'Submit' button no notification messages appear, making user not sure whether the

creation was actually successful. It's especially confusing when validation happened (e.g. user forgot to input bookmark name) and

bookmark wasn't actually created - modal form just closes and that's it, and user has to manually navigate to bookmarks list and

check whether the bookmark was created.

Version-Release number of selected component (if applicable):

Satellite 6.2 Beta Snap 7.1

How reproducible:

Always

Steps to Reproduce:

1. Navigate to any page with a search box (e.g., Hosts -> Operating Systems)

2. Successfully create any search bookmark, check notification message.

3. Fail to create any search bookmark (e.g., leave 'Name' field empty), check notification message.

Actual results:

Notifications for both successful and unsuccessful bookmark creation are missing.

Expected results:

Notifications should appear for both successful and unsuccessful bookmark creation.

Additional info:

There're 2 bookmark creation forms. Examples are form on Hosts -> Operating Systems and Content -> Products. Need to ensure

notifications were added to both kinds of pages.

History

#1 - 12/21/2016 02:49 PM - Justin Sherrill

- Project changed from Katello to Foreman

- Category deleted (Web UI)

Seems like a foreman page

#2 - 12/22/2016 03:23 AM - Dominic Cleal

- File bookmark_errors.png added

- File bookmark_success.png added

- Category set to Web Interface

- Status changed from New to Feedback

- Assignee deleted (Christine Fouant)
https://bugzilla.redhat.com/show_bug.cgi?id=1326633


I cannot reproduce this on 1.15-develop, which version of Foreman can you reproduce this on?

#3 - 03/20/2017 09:42 AM - Walden Raines

- Status changed from Feedback to Closed

I can no longer reproduce this.

#4 - 03/20/2017 09:43 AM - Dominic Cleal

- Status changed from Closed to Rejected

Files

bookmark_errors.png 38.2 KB 12/22/2016 Dominic Cleal

bookmark_success.png 39.8 KB 12/22/2016 Dominic Cleal
